package com.yonge.cooleshow.task.feign;

import com.yonge.cooleshow.common.config.FeignConfiguration;
import com.yonge.cooleshow.task.feign.fallback.TeacherFeignServiceFallback;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;

@FeignClient(name = "teacher-server", configuration = FeignConfiguration.class, fallback = TeacherFeignServiceFallback.class)
public interface TeacherFeignService {

    /***
     * 统计老师首页数据
     * @author liweifan
     * @updateTime 2022/3/28 15:34
     * @return: java.lang.Object
     */
    @GetMapping(value = "/task/queryTeacherTotal")
    Object queryTeacherTotal();
}
