package com.yonge.cooleshow.biz.dal.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.yonge.cooleshow.biz.dal.dto.req.OrderReq;
import com.yonge.cooleshow.biz.dal.vo.UserOrderDetailVo;
import com.yonge.cooleshow.biz.dal.vo.UserOrderVo;
import com.yonge.cooleshow.biz.dal.vo.VipCardVo;
import com.yonge.cooleshow.biz.dal.entity.VipCard;
import com.yonge.cooleshow.biz.dal.vo.res.OrderCreateRes;
import com.yonge.cooleshow.common.entity.HttpResponseResult;

import java.util.List;

/**
 * 会员卡表 服务类
 * @author liweifan
 * @date 2022-04-13
 */
public interface VipCardService extends IService<VipCard>  {

	/**
     * 查询详情
     * @author liweifan
 	 * @date 2022-04-13
     */
	VipCardVo detail(Long id);
	/***
	 * 查询页面
	 * @author liweifan
	 * @updateTime 2022/4/13 13:59
	 * @return: java.util.List<com.yonge.cooleshow.biz.dal.vo.VipCardVo>
	 */
	List<VipCardVo> selectList();
	/***
	 * 订单下单前操作
	 * @author liweifan
	 * @param: orderReq
	 * @updateTime 2022/3/31 15:47
	 * @return: com.yonge.cooleshow.common.entity.HttpResponseResult<java.lang.Boolean>
	 */
	HttpResponseResult<OrderCreateRes> orderCreate(OrderReq.OrderReqInfo orderReqInfo);
	/***
	 * 订单下单后操作
	 * @author liweifan
	 * @param: orderVo
	 * @updateTime 2022/3/31 17:24
	 */
	void orderSuccess(UserOrderDetailVo orderDetailVo);
}